<div class="modal fade" id="viewStudentModal" tabindex="-1" aria-labelledby="" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">View Student</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">&times;</button>
      </div>
      <div class="modal-body">
				<table class="table">
					<tbody>
						<tr><td>First Name</td><th><b id="fname_view"></b></th></tr>
						<tr><td>Second Name</td><th><b id="lname_view"></b></th></tr>
						<tr><td>Username</td><th><b id="username_view"></b></th></tr>
						<tr><td>Email</td><th><b id="email_view"></b></th></tr>
						<tr><td>Year</td><th><b id="year_id_view"></b></th></tr>
						<tr><td>Class</td><th><b id="class_id_view"></b></th></tr>
					</tbody>
				</table>
			</div>
    </div>
  </div>
</div>
@push('inner-scripts')
<script>
  function viewStudent(studentId) {
          
          $.ajax({url: "{{ url('teacher/student') }}/" + studentId, type: "GET", dataType: "html"})
              .done(function (a) {
                  var data = JSON.parse(a);
                  // console.log(data);
                  $("#student_id").val(data.student_id);
                  $("#fname_view").html(data.fname);
                  $("#lname_view").html(data.lname);
                  $("#email_view").html(data.email_id);
                  $("#username_view").html(data.username);
                  $("#year_id_view").html(data.year);  
                  $("#class_id_view").html(data.class_id);  
                  $("#viewStudentModal").modal("show");
              }).fail(function () {
                  showAlert("Please try again...", "error");
          });
      }
  
</script>
@endpush